> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get enrolled digital products 

> Get details of all enrolled digital products for a given user

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 15 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-enrolled-products
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-enrolled-products:
    post:
      tags:
        - Product
      summary: 'Get enrolled digital products '
      description: >-
        Get details of all enrolled digital products for a given user


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 15 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          fermionUserId:
                            type: string
                        required:
                          - fermionUserId
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                products:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      fermionDigitalProductId:
                                        type: string
                                        minLength: 1
                                      type:
                                        type: string
                                        enum:
                                          - DownloadableProduct
                                          - Ebook
                                          - FermionCourse
                                          - FermionContest
                                          - OneToOneInstructorCall
                                          - LiveEventProduct
                                          - FermionBundle
                                          - InstantCall
                                      status:
                                        type: string
                                        enum:
                                          - Active
                                          - Draft
                                          - Unlisted
                                          - Deleted
                                          - Archived
                                      name:
                                        type: string
                                        minLength: 1
                                      slug:
                                        type: string
                                        minLength: 1
                                      link:
                                        type: string
                                        format: uri
                                      thumbnailUrl:
                                        type: string
                                        format: uri
                                    required:
                                      - fermionDigitalProductId
                                      - type
                                      - status
                                      - name
                                      - slug
                                      - link
                                      - thumbnailUrl
                              required:
                                - products
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````